{% extends 'users/base.html' %}

{% block content %}

    <div>
        <br>
        <legend class="border-bottom mb-4">ABOUT</legend>
        <p>Classroom Resource is an app where teachers can post requests for classroom donations they need. Similar apps like 
            <a class="text-secondary" href="https://www.donorschoose.org/" target=_blank>donorschoose.org</a> 
            and <a class="text-secondary" href="https://www.adoptaclassroom.org/" target=_blank>adoptaclassroom.org</a> already exist, 
            but regardless, I wanted to make a mini-version for fun that can maybe be utilized on a smaller scale like within a local school or district.
        </p>
    </div>
    
    {%  include 'users/status.html' %}

    <div class="row">
        <div class="col-md-5">
            <div class="card card-body">
                <legend class="border-bottom mb-4">TEACHERS</legend>
                <table class="table table-sm">
                    <tr>
                        <th></th>
                        <th>Teachers</th>
                        <th>Schools</th>
                    </tr>
                    {% for profile in profiles %}
                    <tr>
                        <th><a class="btn btn-outline-info btn-sm btn-block" href="{% url 'teacher' profile.id %}">View</a></th>   
                        <th>{{ profile.name }}</th>
                        {% for schools in profile.schools.all %}
                        <th>{{ schools }}</th>
                        {% endfor %}

                    </tr>
                    {% endfor %}
    
                </table>
            </div>
        </div>
    
        <div class="col-md-7">
            <div class="card card-body">
                <legend class="border-bottom mb-4">RECENT ITEMS</legend>
                <table class="table table-sm">
                    <tr>
                        <th>Teacher</th>
                        <th>Item</th>
                        <th>Category</th>
                        <th>Quantity</th>
                        <th>Status</th>
                    </tr>
                    {% for item in items %}
                    <tr>
                            <th>{{ item.profile_requested }}</th>
                            <th>{{ item.name }}</th>
                            <th>{{ item.category }}</th>
                            <th>{{ item.quantity }}</th>
                            <th>{{ item.status }}</th>
                    </tr>
                    {% endfor %}
                </table>
                <a class="btn btn-outline-info btn-sm btn-block" href="{% url 'items' %}">View All Items</a>
            </div>
        </div>
    
    </div>
    
    {% endblock %}